#!BPY

"""
Name: 'Viereck 2'
Blender: 242
Group: 'Add'
Tooltip: 'Viereck hinzufuegen.'
"""


__author__ = "Rebecca Breu"
__url__ = ("blender", "elysiun")
__version__ = "31.01.2007"

__bpydoc__ = """Nun fuegen wir dem Mesh die Eckpunkte des Vierecks hinzu."""

import Blender
from Blender import Object
from Blender import NMesh
from Blender import Scene


viereck_mesh = NMesh.New()

# Fuege dem Mesh die vier Eckpunkte hinzu:
viereck_mesh.verts.append(NMesh.Vert(-1, -1, 0))
viereck_mesh.verts.append(NMesh.Vert(-1, 1, 0))
viereck_mesh.verts.append(NMesh.Vert(1, 1, 0))
viereck_mesh.verts.append(NMesh.Vert(1, -1, 0))


viereck_obj = Object.New("Mesh", "Viereck")
viereck_obj.link(viereck_mesh)

current_scene = Scene.GetCurrent()
current_scene.link(viereck_obj)

Blender.Redraw()
