#!BPY

"""
Name: 'Viereck 4'
Blender: 242
Group: 'Add'
Tooltip: 'Viereck hinzufuegen.'
"""


__author__ = "Rebecca Breu"
__url__ = ("blender", "elysiun")
__version__ = "31.01.2007"

__bpydoc__ = """Nun soll das Viereck ein Material bekommen."""


from Blender import *

viereck_mesh = NMesh.New()

viereck_mesh.verts.append(NMesh.Vert(-1, -1, 0))
viereck_mesh.verts.append(NMesh.Vert(1, -1, 0))
viereck_mesh.verts.append(NMesh.Vert(1, 1, 0))
viereck_mesh.verts.append(NMesh.Vert(-1, 1, 0))

flaeche = NMesh.Face()
flaeche.v.append(viereck_mesh.verts[0])
flaeche.v.append(viereck_mesh.verts[1])
flaeche.v.append(viereck_mesh.verts[2])
viereck_mesh.faces.append(flaeche)

flaeche = NMesh.Face()
flaeche.v.append(viereck_mesh.verts[2])
flaeche.v.append(viereck_mesh.verts[3])
flaeche.v.append(viereck_mesh.verts[0])
viereck_mesh.faces.append(flaeche)


# Erstelle neues Material:
material = Material.New("Rotes Material")
material.rgbCol = [0.8, 0.1, 0.1]

# Fuege Material zu dem Mesh hinzu:
viereck_mesh.materials.append(material)


viereck_obj = Object.New("Mesh", "Viereck")
viereck_obj.link(viereck_mesh)

current_scene = Scene.GetCurrent()
current_scene.link(viereck_obj)

Redraw()
